> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getAssetsByAuthority

> Retrieve all Solana NFTs, compressed NFTs, and tokens controlled by a specific authority address with pagination support

## Request Parameters

<ParamField body="authorityAddress" type="string" required>
  The address of the owner whose assets to retrieve.
</ParamField>

<ParamField body="page" type="number">
  The page of results to return.
</ParamField>

<ParamField body="limit" type="number">
  The maximum number of assets to return.
</ParamField>

<ParamField body="sortBy" type="object">
  The sorting options for the response.
</ParamField>

<ParamField body="sortBy.sortBy" type="string">
  The criteria by which the retrieved assets will be sorted.

  * `created`
  * `recent_action`
  * `updated`
  * `none`
</ParamField>

<ParamField body="sortBy.sortDirection" type="string">
  The direction by which the retrieved assets will be sorted.

  * `asc`
  * `desc`
</ParamField>

<ParamField body="before" type="string">
  The cursor for paginating backwards through the assets.
</ParamField>

<ParamField body="after" type="string">
  The cursor for paginating forwards through the assets.
</ParamField>

<ParamField body="options" type="object">
  The display options for the response.
</ParamField>

<ParamField body="options.showUnverifiedCollections" type="boolean" default="false">
  Displays grouping information for unverified collections instead of skipping them.
</ParamField>

<ParamField body="options.showCollectionMetadata" type="boolean" default="false">
  Displays metadata for the collection.
</ParamField>

<ParamField body="options.showGrandTotal" type="boolean" default="false">
  Shows the total number of assets that matched the query. This will make the request slower.
</ParamField>


## OpenAPI

````yaml openapi/das-api/getAssetsByAuthority.yaml POST /
openapi: 3.1.0
info:
  title: Solana RPC API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://mainnet.helius-rpc.com
    description: Mainnet RPC endpoint
  - url: https://devnet.helius-rpc.com
    description: Devnet RPC endpoint
security: []
paths:
  /:
    post:
      tags:
        - RPC
      summary: getAssetsByAuthority
      description: Returns a list of assets owned by a given authority.
      operationId: rpc
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                jsonrpc:
                  type: string
                  enum:
                    - '2.0'
                  description: The version of the JSON-RPC protocol.
                  default: '2.0'
                id:
                  type: string
                  description: An ID to identify the request.
                  default: '1'
                method:
                  type: string
                  enum:
                    - getAssetsByAuthority
                  description: The name of the DAS method to invoke.
                  default: getAssetsByAuthority
                params:
                  type: object
                  default:
                    authorityAddress: 2RtGg6fsFiiF1EQzHqbd66AhW7R5bWeQGpTbv2UMkCdW
                  properties:
                    authorityAddress:
                      type: string
                      description: The address of the owner whose assets to retrieve.
                      example: 2RtGg6fsFiiF1EQzHqbd66AhW7R5bWeQGpTbv2UMkCdW
                    page:
                      type: integer
                      description: The page of results to return.
                      example: 1
                    limit:
                      type: integer
                      description: The maximum number of assets to return.
                      example: 100
                    sortBy:
                      type: object
                      description: The sorting options for the response.
                      properties:
                        sortBy:
                          type: string
                          description: >-
                            The criteria by which the retrieved assets will be
                            sorted.
                          enum:
                            - created
                            - recent_action
                            - updated
                            - none
                        sortDirection:
                          type: string
                          description: >-
                            The direction by which the retrieved assets will be
                            sorted.
                          enum:
                            - asc
                            - desc
                    before:
                      type: string
                      description: The cursor for paginating backwards through the assets.
                      example: string
                    after:
                      type: string
                      description: The cursor for paginating forwards through the assets.
                      example: string
                    options:
                      type: object
                      description: The display options for the response.
                      properties:
                        showUnverifiedCollections:
                          type: boolean
                          description: >-
                            Displays grouping information for unverified
                            collections instead of skipping them.
                          default: false
                        showCollectionMetadata:
                          type: boolean
                          description: Displays metadata for the collection.
                          default: false
                        showGrandTotal:
                          type: boolean
                          description: >-
                            Shows the total number of assets that matched the
                            query. This will make the request slower.
                          default: false
                  required:
                    - authorityAddress
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  result:
                    type: object
                    properties:
                      last_indexed_slot:
                        type: integer
                        description: >-
                          All data up to and including this slot is guaranteed
                          to have been indexed.
                        example: 365750752
                      total:
                        type: integer
                        description: The total number of assets found.
                        example: 1
                      limit:
                        type: integer
                        description: The maximum number of assets requested.
                        example: 1
                      page:
                        type: integer
                        description: The current page of results.
                        example: 1
                      items:
                        type: array
                        description: An array of assets.
                        items:
                          type: object
                          properties:
                            interface:
                              type: string
                              description: The interface of the asset.
                              enum:
                                - V1_NFT
                                - V1_PRINT
                                - LEGACY_NFT
                                - V2_NFT
                                - FungibleAsset
                                - FungibleToken
                                - Custom
                                - Identity
                                - Executable
                                - ProgrammableNFT
                                - MplCoreAsset
                                - MplBubblegumV2
                                - MplCoreCollection
                                - MplCoreGroup
                              example: ProgrammableNFT
                            is_agent:
                              type: boolean
                              description: >-
                                Whether this asset has an Agent Identity (MPL
                                Core AgentIdentity external plugin). Omitted
                                when false.
                            agent_token:
                              type: string
                              description: >-
                                Base58-encoded agent token mint from the Agent
                                Registry program. Omitted when not registered.
                            asset_signer:
                              type: string
                              description: >-
                                Base58-encoded asset-signer PDA for MPL Core.
                                Omitted when not applicable.
                            plugins:
                              type: object
                              description: >-
                                MPL Core plugins, including optional MIP-11
                                `groups` membership.
                              additionalProperties: true
                            id:
                              type: string
                              description: The ID of the asset.
                              example: JEGruwYE13mhX2wi2MGrPmeLiVyZtbBptmVy9vG3pXRC
                            content:
                              type: object
                              description: The content of the asset.
                              example:
                                $schema: https://schema.metaplex.com/nft1.0.json
                                json_uri: >-
                                  https://madlads.s3.us-west-2.amazonaws.com/json/6867.json
                                files:
                                  - uri: >-
                                      https://madlads.s3.us-west-2.amazonaws.com/images/6867.png
                                    cdn_uri: >-
                                      https://cdn.helius-rpc.com/cdn-cgi/image//https://madlads.s3.us-west-2.amazonaws.com/images/6867.png
                                    mime: image/png
                            authorities:
                              type: array
                              items:
                                type: object
                              description: The authorities of the asset.
                              example:
                                - address: 2RtGg6fsFiiF1EQzHqbd66AhW7R5bWeQGpTbv2UMkCdW
                                  scopes:
                                    - full
                            compression:
                              type: object
                              description: The compression details for asset.
                              example:
                                eligible: false
                                compressed: false
                                data_hash: ''
                                creator_hash: ''
                                asset_hash: ''
                                tree: ''
                                seq: 0
                                leaf_id: 0
                            grouping:
                              type: object
                              description: The grouping details for asset.
                              example:
                                - group_key: collection
                                  group_value: J1S9H3QjnRtBbbuD4HjPV6RpRhwuk4zKbxsnCHuTgh9w
                            royalty:
                              type: object
                              description: The royalty details for asset.
                              example:
                                royalty_model: creators
                                target: null
                                percent: 0.042
                                basis_points: 420
                                primary_sale_happened: true
                                locked: false
                            creators:
                              type: array
                              items:
                                type: object
                              description: The creators details for asset.
                              example:
                                - address: 5XvhfmRjwXkGp3jHGmaKpqeerNYjkuZZBYLVQYdeVcRv
                                  share: 0
                                  verified: true
                            ownership:
                              type: object
                              description: The ownership details for asset.
                              example:
                                frozen: true
                                delegated: false
                                delegate: null
                                ownership_model: single
                                owner: 3F21SJs4FMpsakrxmd8GjgfQZG6BN6MVsvXcm5Yc6Jcf
                            burnt: false
        '400':
          description: >-
            Bad Request. The server could not understand the request due to
            invalid syntax.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32602
                      message:
                        type: string
                        example: Invalid request parameters.
                  id:
                    type: string
                    example: '1'
        '401':
          description: >-
            Unauthorized. The client must authenticate itself to get the
            requested response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32001
                      message:
                        type: string
                        example: Authentication failed. Missing or invalid API key.
                  id:
                    type: string
                    example: '1'
        '403':
          description: Forbidden. The client does not have access rights to the content.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32003
                      message:
                        type: string
                        example: You do not have permission to access this resource.
                  id:
                    type: string
                    example: '1'
        '404':
          description: Not Found. The server can not find the requested resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32004
                      message:
                        type: string
                        example: No assets found for the specified authority.
                  id:
                    type: string
                    example: '1'
        '429':
          description: >-
            Too Many Requests. The user has sent too many requests in a given
            amount of time.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32029
                      message:
                        type: string
                        example: Rate limit exceeded. Please try again later.
                  id:
                    type: string
                    example: '1'
        '500':
          description: >-
            Internal Server Error. The server has encountered a situation it
            doesn't know how to handle.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32000
                      message:
                        type: string
                        example: An unexpected error occurred on the server.
                  id:
                    type: string
                    example: '1'
      security:
        - ApiKeyQuery: []
components:
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: >-
        Your Helius API key. You can get one for free in the
        [dashboard](https://dashboard.helius.dev/api-keys).

````